Subject: bug#6602: [PATCH] make dist target for Windows

From: Juanma Barranquero <[email-masked]>
Date: Sun, 25 Jul 2010 03:01:15 +0200

On Sun, Jul 25, 2010 at 00:19, Christoph <[email-masked]> wrote:

> After testing it in the trunk I remembered: one thing I never was quite sure
> how to fix best is the fact that when you run `make dist' on the trunk, the
> root directory the zip file contains is `trunk' (or whatever you named your
> bzr checkout), but it should be `emacs-VERSION'.

I noticed, but it was always possible to make a branch emacs-VERSION
and build the dist from here.
I suppose this change is for better, but it makes more difficult to
create a dist with a root directory named other than emacs-VERSION
(for my own use, for example, I call them just VERSION, ie., 23.1,
23.2, 24.0.50, etc.). It'd be nice to have a way to customize this,
but don't lose time over it; "unzip & rename dir" is just a command
away :-)

> The main change is that it copies all necessary files to a temporary
> directory and then creates the zip files from that. After that the temporary
> directory is removed.

It is highly unlikely for the user to have a directory
nt/emacs-VERSION, but you overwrite it and then remove it, so it'd be
nice to check and refuse to do anything if it already exists. Another
option would be to write to %TEMP%/%TMP_DIST_DIR% instead of
./%TMP_DIST_DIR%

> There is also a minor bugfix: README.W32 was not copied to the install
> directory when using `make install'.

In fact, there's still a minor issue: README.W32 gets copied to
INSTALL_DIR and not removed. For example, I do all installations
in-place, and after make dist I end with a README.W32 at the root of
my trunk branch. (I've added exclusions to .(bzr|git)ignore, so it's
not much of an issue, but still...).

    Juanma